Vereinsantrag
HandbuchDeveloper
Vereinsantrag.online
HandbuchDeveloper
Vereinsantrag.online
  1. Webhooks
  • Welcome to the developer portal
  • Get your token
  • Rate-Limiting
  • API-Reference
    • Authentication
      • AuthenticationService
        • /auth/login
        • /auth/refresh
        • /auth/manage/info
        • /auth/manage/info
      • Users
        • Get all users for the current club (Admin only)
        • Create a new user in the current club without password - user receives email invitation (Admin only)
        • Get user by ID within the current club
        • Update user details within the current club
        • Delete a user from the current club (Admin only)
        • Resend password setup email to a user (Admin only)
        • Get available roles (Admin only)
    • Managing your club
      • Club
        • Gets the information of the club.
        • Changes the information of the club.
        • Gets the logo of the club.
        • Changes the logo of the club.
      • Department
        • Retrieves all departments for the current club.
        • Creates a new department.
        • Retrieves a specific department by its ID.
        • Deletes a specific department by its ID.
        • Modifies an existing department.
        • Retrieves the settings for the departments.
        • Updates the settings for the departments.
      • Forms
        • Get Membership Form
        • Modify Membership Form
        • Get Cancellation Form
        • Modify Cancellation Form
        • Get Form Design
        • Updates form Design
      • Membership
        • Retrieves all memberships for the current club.
        • Creates a new membership.
        • Retrieves a specific membership by its ID.
        • Deletes a specific membership by its ID.
        • Modifies an existing membership.
      • CustomField
        • Retrieves all custom fields for the current club.
        • Creates a new custom field.
        • Retrieves a specific custom field by its internal name.
        • Deletes a specific custom field by its internal name.
        • Partially modifies an existing custom field.
      • DataPrivacy
        • Retrieves the data privacy settings for the club.
        • Updates the data privacy settings for the club.
      • Settings
        • Get email template
        • Set email template
        • Reset email template
        • Get system email template
        • Get SMTP settings
        • Set SMTP settings
        • Test SMTP connection
        • Get available placeholders for email template
        • Get notification settings (who receives emails on new submissions)
        • Save notification settings
      • Webhooks
        • List webhooks
          GET
        • Create webhook
          POST
        • Update webhook
          PUT
        • Delete webhook
          DELETE
        • Rotate secret
          POST
        • Test webhook
          POST
        • Delivery history
          GET
    • Submits
      • Cancellations
        • Get cancellation by id
        • Delete cancellation
        • Update cancellation submission
        • Create new cancellation
        • Get cancellation PDF
        • Get cancellation CSV
        • Export cancellation as text
        • Confirm cancellation
        • Resends the confirmation email for a cancellation application
        • Retrieves the history for a specific cancellation submission.
      • Changes
        • Create a new change request
        • Get change request by ID
        • Delete change request
        • Update change submission
        • Get change request PDF
        • Get change request CSV
        • Export change request as text
        • Confirm change request
        • Resends the confirmation email for a change membership application
        • Retrieves the history for a specific change submission.
      • Memberships
        • Creates a new membership application
        • Retrieves a membership application
        • Deletes a membership application
        • Update membership application
        • Exports a membership application as PDF
        • Exports a membership application as CSV
        • Exports a membership application as text
        • Exports a membership application as verein.cloud® CSV
        • Confirms a membership application
        • Resends the confirmation email for a membership application
        • Retrieves the history for a specific membership submission.
      • Submits
        • Retrieves all submissions.
        • Accepts a submission.
        • Denies a submission.
        • Starts a PDF export job
        • Downloads exported files as ZIP
        • Returns export job progress
        • Starts a CSV export job
        • Starts a verein.cloud® export job
    • Reporting
      • Dashboard
        • Gets the count of new memberships.
        • Gets the count of new changes.
        • Gets the count of new cancellations.
        • Gets the membership chart data.
        • Gets all dashboard KPI values in a single call.
        • Gets the submission trend (memberships, changes, cancellations and net development) per week or month.
        • Gets the age distribution of new members (including family members) in the period.
        • Gets the gender distribution of new members (including family members) in the period.
        • Gets the most popular departments by new memberships in the period.
        • Gets the distribution of membership types in the period.
        • Gets the payment method distribution of new memberships in the period.
        • Gets the application funnel (received, e-mail confirmed, accepted, rejected) for the period.
        • Gets the average processing time per month for the period.
        • Gets the most common zip codes of new members in the period.
        • Gets the webhook delivery trend (succeeded vs. failed) per month for the period.
  1. Webhooks

Delivery history

GET
https://api.vereinsantrag.de/v1/club/settings/webhooks/{id}/deliveries
Returns the most recent delivery attempts for a subscription, newest first, with status, response code, duration and any error message. The take parameter limits how many entries are returned.

Request

Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.vereinsantrag.de/v1/club/settings/webhooks//deliveries?take=undefined'
Response Response Example
[
    {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "eventType": "ApplicationReceived",
        "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
        "status": "Pending",
        "attemptCount": 0,
        "responseStatusCode": 0,
        "responseBodySnippet": "string",
        "durationMs": 0,
        "errorMessage": "string",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "lastAttemptAt": "2019-08-24T14:15:22.123Z"
    }
]
Previous
Test webhook
Next
Get cancellation by id
Built with